PETSc version 3.15.5
Fix/Edit manual page

# DMSwarmSetPointCoordinatesRandom

Sets initial coordinates for particles in each cell

### Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmSetPointCoordinatesRandom(DM dm, PetscInt Npc)

Collective on dm

### Input parameters

| dm | - the DMSwarm
| Npc | - The number of particles per cell in the cell DM

### Notes

The user must use DMSwarmSetCellDM() to set the cell DM first. The particles are placed randomly inside each cell. If only one particle is in each cell, it is placed at the centroid.

### See Also

DMSwarmSetCellDM()

### Level

intermediate

### Location

src/dm/impls/swarm/swarm.c
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages